FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Redhat > Fedora User

 
 
LinkBack Thread Tools
 
Old 12-26-2007, 03:44 PM
Sergey Katalichenka
 
Default livna FC7 169.07 update problems.

Does any one else has a problem updating to the latest nvidia drivers from livna?



Error:

kmod-nvidia - 169.07-1.2.6.23.8_34.fc7.i686 updates kmod-nvidia - 100.14.19-1.2.6.23.8_34.fc7.i686



System:



Linux lnx 2.6.23.8-34.fc7 #1 SMP Thu Nov 22 23:05:33 EST 2007 i686 i686 i386 GNU/Linux





Thank you.



--sk





--
fedora-list mailing list
fedora-list@redhat.com
To unsubscribe: https://www.redhat.com/mailman/listinfo/fedora-list
 
Old 12-26-2007, 03:46 PM
Sergey Katalichenka
 
Default livna FC7 169.07 update problems.

Pasted from wrong window:



file /lib/modules/2.6.23.8-34.fc7/extra/nvidia/nvidia.ko from install of kmod-nvidia-169.07-1.2.6.23.8_34.fc7 conflicts with file from package kmod-nvidia-100.14.19-1.2.6.23.8_34.fc7



On Wed, 2007-12-26 at 11:44 -0500, Sergey Katalichenka wrote:


Does any one else has a problem updating to the latest nvidia drivers from livna?



Error:

kmod-nvidia - 169.07-1.2.6.23.8_34.fc7.i686 updates kmod-nvidia - 100.14.19-1.2.6.23.8_34.fc7.i686



System:



Linux lnx 2.6.23.8-34.fc7 #1 SMP Thu Nov 22 23:05:33 EST 2007 i686 i686 i386 GNU/Linux





Thank you.



--sk




--
fedora-list mailing list
fedora-list@redhat.com
To unsubscribe: https://www.redhat.com/mailman/listinfo/fedora-list




--
fedora-list mailing list
fedora-list@redhat.com
To unsubscribe: https://www.redhat.com/mailman/listinfo/fedora-list
 
Old 12-26-2007, 06:51 PM
Matthew Saltzman
 
Default livna FC7 169.07 update problems.

On Wed, 2007-12-26 at 11:46 -0500, Sergey Katalichenka wrote:

Pasted from wrong window:

file /lib/modules/2.6.23.8-34.fc7/extra/nvidia/nvidia.ko from
install of
kmod-nvidia-169.07-1.2.6.23.8_34.fc7 conflicts with file from
package
kmod-nvidia-100.14.19-1.2.6.23.8_34.fc7

I installed 169.07 with no problem, but I didn't have 100.14.19
installed before.

Try switching to runlevel 3, removing the old ones and re-installing the
new ones.

This sounds like it could be a packaging bug where the new one doesn't
obsolete the old.

On Wed, 2007-12-26 at 11:44 -0500, Sergey Katalichenka wrote:

> Does any one else has a problem updating to the latest nvidia
drivers
> from livna?
>
> Error:
> kmod-nvidia - 169.07-1.2.6.23.8_34.fc7.i686 updates
kmod-nvidia -
> 100.14.19-1.2.6.23.8_34.fc7.i686
>
> System:
>
> Linux lnx 2.6.23.8-34.fc7 #1 SMP Thu Nov 22 23:05:33 EST 2007
i686
> i686 i386 GNU/Linux
>
>
> Thank you.
>
> --sk
>
>
> --
> fedora-list mailing list
> fedora-list@redhat.com
> To unsubscribe:
https://www.redhat.com/mailman/listinfo/fedora-list
--
Matthew Saltzman

Clemson University Math Sciences
mjs AT clemson DOT edu
http://www.math.clemson.edu/~mjs

--
fedora-list mailing list
fedora-list@redhat.com
To unsubscribe: https://www.redhat.com/mailman/listinfo/fedora-list
 
Old 12-26-2007, 07:02 PM
"Katalichenka, Sergey"
 
Default livna FC7 169.07 update problems.

I have logged in as root (I do not have compiz enabled under that user),
removed the offending package and installed the update. Then I rebooted.
It all seemed to work fine, glxinfo shows the new driver in place.

I just founded it odd that yum would have problem updating that package.
>From what I can see on my system, previous updates to that RPM were left
in place:

kmod-nvidia.i686 100.14.19-1.2.6.23.1_1
installed
kmod-nvidia.i686 169.07-1.2.6.23.8_34.f
installed
kmod-nvidia.i686 100.14.19-1.2.6.22.9_9
installed
kmod-nvidia.i686 100.14.19-1.2.6.23.1_2
installed

See all old kernel versions still hanging about.

Anyway, I think it maybe related that the yum's kmod bug, they working
on right now.

Thank you.



-----Original Message-----
From: fedora-list-bounces@redhat.com
[mailto:fedora-list-bounces@redhat.com] On Behalf Of Matthew Saltzman
Sent: Wednesday, December 26, 2007 2:51 PM
To: For users of Fedora
Subject: Re: livna FC7 169.07 update problems.


On Wed, 2007-12-26 at 11:46 -0500, Sergey Katalichenka wrote:

Pasted from wrong window:

file /lib/modules/2.6.23.8-34.fc7/extra/nvidia/nvidia.ko from
install of
kmod-nvidia-169.07-1.2.6.23.8_34.fc7 conflicts with file from
package
kmod-nvidia-100.14.19-1.2.6.23.8_34.fc7

I installed 169.07 with no problem, but I didn't have 100.14.19
installed before.

Try switching to runlevel 3, removing the old ones and re-installing the
new ones.

This sounds like it could be a packaging bug where the new one doesn't
obsolete the old.

On Wed, 2007-12-26 at 11:44 -0500, Sergey Katalichenka wrote:

> Does any one else has a problem updating to the latest nvidia
drivers
> from livna?
>
> Error:
> kmod-nvidia - 169.07-1.2.6.23.8_34.fc7.i686 updates
kmod-nvidia -
> 100.14.19-1.2.6.23.8_34.fc7.i686
>
> System:
>
> Linux lnx 2.6.23.8-34.fc7 #1 SMP Thu Nov 22 23:05:33 EST 2007
i686
> i686 i386 GNU/Linux
>
>
> Thank you.
>
> --sk
>
>
> --
> fedora-list mailing list
> fedora-list@redhat.com
> To unsubscribe:
https://www.redhat.com/mailman/listinfo/fedora-list
--
Matthew Saltzman

Clemson University Math Sciences
mjs AT clemson DOT edu
http://www.math.clemson.edu/~mjs

--
fedora-list mailing list
fedora-list@redhat.com
To unsubscribe: https://www.redhat.com/mailman/listinfo/fedora-list

--
fedora-list mailing list
fedora-list@redhat.com
To unsubscribe: https://www.redhat.com/mailman/listinfo/fedora-list
 
Old 12-26-2007, 10:43 PM
Matthew Saltzman
 
Default livna FC7 169.07 update problems.

On Wed, 2007-12-26 at 15:02 -0500, Katalichenka, Sergey wrote:
> I have logged in as root (I do not have compiz enabled under that user),
> removed the offending package and installed the update. Then I rebooted.
> It all seemed to work fine, glxinfo shows the new driver in place.
>
> I just founded it odd that yum would have problem updating that package.
> >From what I can see on my system, previous updates to that RPM were left
> in place:
>
> kmod-nvidia.i686 100.14.19-1.2.6.23.1_1
> installed
> kmod-nvidia.i686 169.07-1.2.6.23.8_34.f
> installed
> kmod-nvidia.i686 100.14.19-1.2.6.22.9_9
> installed
> kmod-nvidia.i686 100.14.19-1.2.6.23.1_2
> installed
>
> See all old kernel versions still hanging about.

That's fine. The modules built for each kernel should not be removed if
you want to be able to use the driver with the old kernels. I would
guess that Livna will not be building new kmod-nvidia RPMs for old
kernels anyway. You could, but it seems to be rather complicated and
requires several Livna infrastructure RPMs to do it.

>
> Anyway, I think it maybe related that the yum's kmod bug, they working
> on right now.

I thought that was fixed in the latest yum, no?

>
> Thank you.

People on this list prefer that you not top-post. You should add your
replies below the message you are replying to. Thanks.

>
>
>
> -----Original Message-----
> From: fedora-list-bounces@redhat.com
> [mailto:fedora-list-bounces@redhat.com] On Behalf Of Matthew Saltzman
> Sent: Wednesday, December 26, 2007 2:51 PM
> To: For users of Fedora
> Subject: Re: livna FC7 169.07 update problems.
>
>
> On Wed, 2007-12-26 at 11:46 -0500, Sergey Katalichenka wrote:
>
> Pasted from wrong window:
>
> file /lib/modules/2.6.23.8-34.fc7/extra/nvidia/nvidia.ko from
> install of
> kmod-nvidia-169.07-1.2.6.23.8_34.fc7 conflicts with file from
> package
> kmod-nvidia-100.14.19-1.2.6.23.8_34.fc7
>
> I installed 169.07 with no problem, but I didn't have 100.14.19
> installed before.
>
> Try switching to runlevel 3, removing the old ones and re-installing the
> new ones.
>
> This sounds like it could be a packaging bug where the new one doesn't
> obsolete the old.
>
> On Wed, 2007-12-26 at 11:44 -0500, Sergey Katalichenka wrote:
>
> > Does any one else has a problem updating to the latest nvidia
> drivers
> > from livna?
> >
> > Error:
> > kmod-nvidia - 169.07-1.2.6.23.8_34.fc7.i686 updates
> kmod-nvidia -
> > 100.14.19-1.2.6.23.8_34.fc7.i686
> >
> > System:
> >
> > Linux lnx 2.6.23.8-34.fc7 #1 SMP Thu Nov 22 23:05:33 EST 2007
> i686
> > i686 i386 GNU/Linux
> >
> >
> > Thank you.
> >
> > --sk
> >
> >
> > --
> > fedora-list mailing list
> > fedora-list@redhat.com
> > To unsubscribe:
> https://www.redhat.com/mailman/listinfo/fedora-list
> --
> Matthew Saltzman
>
> Clemson University Math Sciences
> mjs AT clemson DOT edu
> http://www.math.clemson.edu/~mjs
>
--
Matthew Saltzman

Clemson University Math Sciences
mjs AT clemson DOT edu
http://www.math.clemson.edu/~mjs

--
fedora-list mailing list
fedora-list@redhat.com
To unsubscribe: https://www.redhat.com/mailman/listinfo/fedora-list
 
Old 12-27-2007, 03:14 AM
"Dean S. Messing"
 
Default livna FC7 169.07 update problems.

Sergey Katalichenka wrote:
: Does any one else has a problem updating to the latest nvidia drivers
: from livna?

<snip>

: file /lib/modules/2.6.23.8-34.fc7/extra/nvidia/nvidia.ko from install of
: kmod-nvidia-169.07-1.2.6.23.8_34.fc7 conflicts with file from package
: kmod-nvidia-100.14.19-1.2.6.23.8_34.fc7

Yes, I had the same problem earlier today.

Others have already remarked on it, including the remark that if you
have several older kernels then you need to keep the kmod-nvidia
packages for those kernels around if you ever want to boot off them
and run X.

This case is different, however. Notice that the kernel (2.6.23.8-34)
is _the same_ for both the old -100.14.19-1 module and the new -169.07-1.

So the problem appears to be that the nvidia.ko file from the old
package conflicts with the new one in (the same) /lib/modules
subdirectory.

I don't know why the update didn't just replace the old with new. As
I recall when I did the update today, the kmod-nvidia package appeared
in the yum "to be installed" list, not the "to be updated" list. That
may have something to do with it.

At all events, what I did was to temporarily setup yum/rpm to
repackage and save erased packages. I then did

'yum erase kmod-nvidia-100.14.19-1.2.6.23.8_34.fc7'

which recreated the .rpm and saved it away (just in case :-). Then I
installed the new package w/o any errors. I haven't tested the new
module much but X and KDE (dual head) rebooted just fine and I've not
had any problems (FYI).

Dean

--
fedora-list mailing list
fedora-list@redhat.com
To unsubscribe: https://www.redhat.com/mailman/listinfo/fedora-list
 

Thread Tools




All times are GMT. The time now is 05:00 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org